package cn.com.countrygarden.bi.main.dao;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.MarketingQuota;

import java.util.List;
import java.util.Map;

public interface MarketingQuotaMapper extends Mapper<MarketingQuota> {

    MarketingQuota findByUk(Map<String, Object> param);
    MarketingQuota sum(Map<String, Object> param);

    List<MarketingQuota> search(Map<String, Object> param);
    MarketingQuota findById(int id);
    boolean softDelete(Map<String, Object> param);
}